Tcl 7.5, Atari port, Release 1 (Binaries)                   28.06.1998

Dies ist eine Portierung der Scriptsprache Tcl fr Atari-Computer und
kompatible. Wer nicht wei, was Tcl ist, wird mit diesem Paket wenig
anfangen knnen, denn es wird keine Beschreibung der Sprache mitgelie-
fert. Es existiert zwar ein Paket mit den Manpages, diese sind aber
zum Lernen der Sprache nicht geeignet. Literaturhinweise finden sich
aber in der Datei README (siehe dort).

Tcl 7.5 fr Atari besteht aus den drei Paketen

     TCL75BIN.ZIP  --  das Binary, ein paar READMEs
     TCL75MAN.ZIP  --  die Manpages
     TCL75SRC.ZIP  --  die Sourcen dieser Portierung

Wer Tcl bereits kennt und die Manpages nicht braucht, kommt mit diesem
Paket (TCL75BIN) aus.


Installation

1. Das Programm TCLSH.TTP kann an eine beliebige Stelle kopiert
   werden, bevorzugt an eine, die in $PATH auftaucht.

2. Der Inhalt des Ordners LIBRARY mu entweder nach

      c:\usr\lib\tcl

   kopiert werden (dieser Pfad ist in tclsh fest verdrahtet), oder
   man setzt die Environmentvariable TCL_LIBRARY auf den Pfad, in dem
   diese Dateien stehen.

   Achtung: Als Pfadtrenner mu der Slash '/' statt des Backslashs '\'
   verwendet werden. Beispiel:

      setenv TCL_LIBRARY "h:/tcl/library"

3. Die Environmentvariable TZ sollte die richtige Zeitzone enthalten,
   da das Kommando clock sonst evtl. falsche Angaben liefert. Wenn die
   Ortszeit also nicht GMT ist, sollte man beispielsweise

      setenv TZ "MEZ-1"

   einstellen (fr Deutschland bzw. den grten Teil Europas).


Hinweise

- Diese Tcl-Portierung hat einige Einschrnkungen. So stehen Sockets
  und das Kommando exec nicht zur Verfgung, bei den Fliekomma-
  Kommandos fehlt hypot, "dynamic loading" wird nicht untersttzt und
  einige Kleinigkeiten mehr. Hierbei handelt es sich grtenteils um
  prinzipielle Probleme, d.h. da diese Features unter TOS z.T. gar
  nicht und beispielsweise unter MagiC nur mit Einschrnkungen
  implementierbar wren.

  Der "bliche" Sprachumfang ist jedoch vorhanden und funktionsfhig.

- Bei der Angabe von Pfadnamen ist zu beachten, da der Backslash fr
  Tcl ein Quote-Symbol ist. Er mu daher seinerseits gequotet, in ge-
  schweifte Klammern eingefat oder durch Slashes ersetzt werden.

  Beispiele: Es soll die Datei "e:\tcl7.5\system.tcl" ausgefhrt
  werden.

     source e:\\tcl7.5\\system.tcl
     source {e:\\tcl7.5\\system.tcl}
     source e:/tcl7.5/system.tcl


Kontaktadresse

Diese Portierung wurde vorgenommen von

     Dirk Haun
     Johanniterstr. 3
     D-74177 Bad Friedrichshall

     e-mail: Dirk Haun @ LB (MausNet)
             haun@BauNetz.de (Inter-/Usenet)
